Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.html
Class HtmlTreeNode

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.UITreeNode
                  org.richfaces.component.html.HtmlTreeNode

All Implemented Interfaces:
  javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxComponent, org.richfaces.component.Draggable, org.richfaces.component.Dropzone, org.richfaces.event.DropSource, org.richfaces.event.TreeListenerEventsProducer

    public class HtmlTreeNode

extends UITreeNode

Nested Class Summary

Nested classes/interfaces inherited from class org.richfaces.component.UITreeNode
`UITreeNode.DnDEventWrapper`

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class org.richfaces.component.UITreeNode
`DEFAULT_NODE_FACE_ATTRIBUTE_NAME`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Fields inherited from interface org.ajax4jsf.component.AjaxComponent
`AJAX_COMPONETT_PARAMETER`

Constructor Summary
`HtmlTreeNode()`

Method Summary
`java.lang.String` | `getAcceptCursors()`
`java.lang.String` | `getAjaxSubmitSelection()`
`javax.faces.el.MethodBinding` | `getChangeExpandListener()`
`java.lang.Object` | `getCursorTypeMapping()`
`javax.faces.el.MethodBinding` | `getDragListener()`
`java.lang.Object` | `getDragValue()`
`javax.faces.el.MethodBinding` | `getDropListener()`
`java.lang.Object` | `getDropValue()`
`java.lang.String` | `getFamily()`
`java.lang.String` | `getGrabbingCursors()`
`java.lang.String` | `getGrabCursors()`
`java.lang.String` | `getHighlightedClass()`
`java.lang.String` | `getIcon()`
`java.lang.String` | `getIconCollapsed()`
`java.lang.String` | `getIconExpanded()`
`java.lang.String` | `getIconLeaf()`
`java.lang.String` | `getNodeClass()`
`javax.faces.el.MethodBinding` | `getNodeSelectListener()`
`java.lang.String` | `getOnbeforedomupdate()`
`java.lang.String` | `getOnclick()`
`java.lang.String` | `getOncollapse()`
`java.lang.String` | `getOncontextmenu()`
`java.lang.String` | `getOndblclick()`
`java.lang.String` | `getOndragend()`
`java.lang.String` | `getOndragenter()`
`java.lang.String` | `getOndragexit()`
`java.lang.String` | `getOndragstart()`
`java.lang.String` | `getOndrop()`
`java.lang.String` | `getOndropend()`
`java.lang.String` | `getOndropout()`
`java.lang.String` | `getOndropover()`
`java.lang.String` | `getOnexpand()`
`java.lang.String` | `getOnkeydown()`
`java.lang.String` | `getOnkeypress()`
`java.lang.String` | `getOnkeyup()`
`java.lang.String` | `getOnmousedown()`
`java.lang.String` | `getOnmousemove()`
`java.lang.String` | `getOnmouseout()`
`java.lang.String` | `getOnmouseover()`
`java.lang.String` | `getOnmouseup()`
`java.lang.String` | `getOnselected()`
`java.lang.Object` | `getProcess()`
`java.lang.String` | `getRejectCursors()`
`java.lang.String` | `getSelectedClass()`
`java.lang.String` | `getType()`
`java.lang.Object` | `getTypeMapping()`
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setAcceptCursors(java.lang.String _acceptCursors)`
`void` | `setAjaxSubmitSelection(java.lang.String _ajaxSubmitSelection)`
`void` | `setChangeExpandListener(javax.faces.el.MethodBinding _changeExpandListener)`
`void` | `setCursorTypeMapping(java.lang.Object _cursorTypeMapping)`
`void` | `setDragListener(javax.faces.el.MethodBinding _dragListener)`
`void` | `setDragValue(java.lang.Object _dragValue)`
`void` | `setDropListener(javax.faces.el.MethodBinding _dropListener)`
`void` | `setDropValue(java.lang.Object _dropValue)`
`void` | `setGrabbingCursors(java.lang.String _grabbingCursors)`
`void` | `setGrabCursors(java.lang.String _grabCursors)`
`void` | `setHighlightedClass(java.lang.String _highlightedClass)`
`void` | `setIcon(java.lang.String _icon)`
`void` | `setIconCollapsed(java.lang.String _iconCollapsed)`
`void` | `setIconExpanded(java.lang.String _iconExpanded)`
`void` | `setIconLeaf(java.lang.String _iconLeaf)`
`void` | `setNodeClass(java.lang.String _nodeClass)`
`void` | `setNodeSelectListener(javax.faces.el.MethodBinding _nodeSelectListener)`
`void` | `setOnbeforedomupdate(java.lang.String _onbeforedomupdate)`
`void` | `setOnclick(java.lang.String _onclick)`
`void` | `setOncollapse(java.lang.String _oncollapse)`
`void` | `setOncontextmenu(java.lang.String _oncontextmenu)`
`void` | `setOndblclick(java.lang.String _ondblclick)`
`void` | `setOndragend(java.lang.String _ondragend)`
`void` | `setOndragenter(java.lang.String _ondragenter)`
`void` | `setOndragexit(java.lang.String _ondragexit)`
`void` | `setOndragstart(java.lang.String _ondragstart)`
`void` | `setOndrop(java.lang.String _ondrop)`
`void` | `setOndropend(java.lang.String _ondropend)`
`void` | `setOndropout(java.lang.String _ondropout)`
`void` | `setOndropover(java.lang.String _ondropover)`
`void` | `setOnexpand(java.lang.String _onexpand)`
`void` | `setOnkeydown(java.lang.String _onkeydown)`
`void` | `setOnkeypress(java.lang.String _onkeypress)`
`void` | `setOnkeyup(java.lang.String _onkeyup)`
`void` | `setOnmousedown(java.lang.String _onmousedown)`
`void` | `setOnmousemove(java.lang.String _onmousemove)`
`void` | `setOnmouseout(java.lang.String _onmouseout)`
`void` | `setOnmouseover(java.lang.String _onmouseover)`
`void` | `setOnmouseup(java.lang.String _onmouseup)`
`void` | `setOnselected(java.lang.String _onselected)`
`void` | `setProcess(java.lang.Object _process)`
`void` | `setRejectCursors(java.lang.String _rejectCursors)`
`void` | `setSelectedClass(java.lang.String _selectedClass)`
`void` | `setType(java.lang.String _type)`
`void` | `setTypeMapping(java.lang.Object _typeMapping)`

Methods inherited from class org.richfaces.component.UITreeNode
`addChangeExpandListener, addDragListener, addDropListener, addNodeSelectListener, broadcast, getAcceptedTypes, getChangeExpandListeners, getData, getDefaultOndragend, getDefaultOndragenter, getDefaultOndragexit, getDefaultOndragstart, getDefaultOndrop, getDefaultOndropend, getDefaultReRender, getDefaultTimeout, getDragIndicator, getDragListeners, getDragType, getDropListeners, getEventsQueue, getFocus, getIconCollapsedFacet, getIconExpandedFacet, getIconFacet, getIconLeafFacet, getLocalDragIndicator, getNodeSelectListeners, getOncomplete, getRequestDelay, getReRender, getResolvedDragIndicator, getSimilarityGroupingId, getStatus, getTimeout, getUITree, hasAjaxSubmitSelection, isAjaxSingle, isBypassUpdates, isIgnoreDupResponses, isLimitToList, queueEvent, removeChangeExpandListener, removeDragListener, removeDropListener, removeNodeSelectListener, setAcceptedTypes, setAjaxSingle, setBypassUpdates, setData, setDragIndicator, setDragType, setEventsQueue, setFocus, setIgnoreDupResponses, setLimitToList, setOncomplete, setRequestDelay, setReRender, setSimilarityGroupingId, setStatus, setTimeout`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getValueExpression, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### HtmlTreeNode

    public HtmlTreeNode()

Method Detail

### getAcceptCursors

    public java.lang.String getAcceptCursors()

### setAcceptCursors

    public void setAcceptCursors(java.lang.String _acceptCursors)

### getAjaxSubmitSelection

    public java.lang.String getAjaxSubmitSelection()

  Specified by:
    `getAjaxSubmitSelection` in class `UITreeNode`

### setAjaxSubmitSelection

    public void setAjaxSubmitSelection(java.lang.String _ajaxSubmitSelection)

  Specified by:
    `setAjaxSubmitSelection` in class `UITreeNode`

### getChangeExpandListener

    public javax.faces.el.MethodBinding getChangeExpandListener()

### setChangeExpandListener

    public void setChangeExpandListener(javax.faces.el.MethodBinding _changeExpandListener)

### getCursorTypeMapping

    public java.lang.Object getCursorTypeMapping()

### setCursorTypeMapping

    public void setCursorTypeMapping(java.lang.Object _cursorTypeMapping)

### getDragListener

    public javax.faces.el.MethodBinding getDragListener()

### setDragListener

    public void setDragListener(javax.faces.el.MethodBinding _dragListener)

### getDragValue

    public java.lang.Object getDragValue()

### setDragValue

    public void setDragValue(java.lang.Object _dragValue)

### getDropListener

    public javax.faces.el.MethodBinding getDropListener()

### setDropListener

    public void setDropListener(javax.faces.el.MethodBinding _dropListener)

### getDropValue

    public java.lang.Object getDropValue()

### setDropValue

    public void setDropValue(java.lang.Object _dropValue)

### getGrabCursors

    public java.lang.String getGrabCursors()

### setGrabCursors

    public void setGrabCursors(java.lang.String _grabCursors)

### getGrabbingCursors

    public java.lang.String getGrabbingCursors()

### setGrabbingCursors

    public void setGrabbingCursors(java.lang.String _grabbingCursors)

### getHighlightedClass

    public java.lang.String getHighlightedClass()

  Specified by:
    `getHighlightedClass` in class `UITreeNode`

### setHighlightedClass

    public void setHighlightedClass(java.lang.String _highlightedClass)

  Specified by:
    `setHighlightedClass` in class `UITreeNode`

### getIcon

    public java.lang.String getIcon()

  Specified by:
    `getIcon` in class `UITreeNode`

### setIcon

    public void setIcon(java.lang.String _icon)

  Specified by:
    `setIcon` in class `UITreeNode`

### getIconCollapsed

    public java.lang.String getIconCollapsed()

  Specified by:
    `getIconCollapsed` in class `UITreeNode`

### setIconCollapsed

    public void setIconCollapsed(java.lang.String _iconCollapsed)

  Specified by:
    `setIconCollapsed` in class `UITreeNode`

### getIconExpanded

    public java.lang.String getIconExpanded()

  Specified by:
    `getIconExpanded` in class `UITreeNode`

### setIconExpanded

    public void setIconExpanded(java.lang.String _iconExpanded)

  Specified by:
    `setIconExpanded` in class `UITreeNode`

### getIconLeaf

    public java.lang.String getIconLeaf()

  Specified by:
    `getIconLeaf` in class `UITreeNode`

### setIconLeaf

    public void setIconLeaf(java.lang.String _iconLeaf)

  Specified by:
    `setIconLeaf` in class `UITreeNode`

### getNodeClass

    public java.lang.String getNodeClass()

### setNodeClass

    public void setNodeClass(java.lang.String _nodeClass)

### getNodeSelectListener

    public javax.faces.el.MethodBinding getNodeSelectListener()

### setNodeSelectListener

    public void setNodeSelectListener(javax.faces.el.MethodBinding _nodeSelectListener)

### getOnbeforedomupdate

    public java.lang.String getOnbeforedomupdate()

### setOnbeforedomupdate

    public void setOnbeforedomupdate(java.lang.String _onbeforedomupdate)

### getOnclick

    public java.lang.String getOnclick()

### setOnclick

    public void setOnclick(java.lang.String _onclick)

### getOncollapse

    public java.lang.String getOncollapse()

### setOncollapse

    public void setOncollapse(java.lang.String _oncollapse)

### getOncontextmenu

    public java.lang.String getOncontextmenu()

### setOncontextmenu

    public void setOncontextmenu(java.lang.String _oncontextmenu)

### getOndblclick

    public java.lang.String getOndblclick()

### setOndblclick

    public void setOndblclick(java.lang.String _ondblclick)

### getOndragend

    public java.lang.String getOndragend()

### setOndragend

    public void setOndragend(java.lang.String _ondragend)

### getOndragenter

    public java.lang.String getOndragenter()

### setOndragenter

    public void setOndragenter(java.lang.String _ondragenter)

### getOndragexit

    public java.lang.String getOndragexit()

### setOndragexit

    public void setOndragexit(java.lang.String _ondragexit)

### getOndragstart

    public java.lang.String getOndragstart()

### setOndragstart

    public void setOndragstart(java.lang.String _ondragstart)

### getOndrop

    public java.lang.String getOndrop()

### setOndrop

    public void setOndrop(java.lang.String _ondrop)

### getOndropend

    public java.lang.String getOndropend()

### setOndropend

    public void setOndropend(java.lang.String _ondropend)

### getOndropout

    public java.lang.String getOndropout()

### setOndropout

    public void setOndropout(java.lang.String _ondropout)

### getOndropover

    public java.lang.String getOndropover()

### setOndropover

    public void setOndropover(java.lang.String _ondropover)

### getOnexpand

    public java.lang.String getOnexpand()

### setOnexpand

    public void setOnexpand(java.lang.String _onexpand)

### getOnkeydown

    public java.lang.String getOnkeydown()

### setOnkeydown

    public void setOnkeydown(java.lang.String _onkeydown)

### getOnkeypress

    public java.lang.String getOnkeypress()

### setOnkeypress

    public void setOnkeypress(java.lang.String _onkeypress)

### getOnkeyup

    public java.lang.String getOnkeyup()

### setOnkeyup

    public void setOnkeyup(java.lang.String _onkeyup)

### getOnmousedown

    public java.lang.String getOnmousedown()

### setOnmousedown

    public void setOnmousedown(java.lang.String _onmousedown)

### getOnmousemove

    public java.lang.String getOnmousemove()

### setOnmousemove

    public void setOnmousemove(java.lang.String _onmousemove)

### getOnmouseout

    public java.lang.String getOnmouseout()

### setOnmouseout

    public void setOnmouseout(java.lang.String _onmouseout)

### getOnmouseover

    public java.lang.String getOnmouseover()

### setOnmouseover

    public void setOnmouseover(java.lang.String _onmouseover)

### getOnmouseup

    public java.lang.String getOnmouseup()

### setOnmouseup

    public void setOnmouseup(java.lang.String _onmouseup)

### getOnselected

    public java.lang.String getOnselected()

### setOnselected

    public void setOnselected(java.lang.String _onselected)

### getProcess

    public java.lang.Object getProcess()

### setProcess

    public void setProcess(java.lang.Object _process)

### getRejectCursors

    public java.lang.String getRejectCursors()

### setRejectCursors

    public void setRejectCursors(java.lang.String _rejectCursors)

### getSelectedClass

    public java.lang.String getSelectedClass()

  Specified by:
    `getSelectedClass` in class `UITreeNode`

### setSelectedClass

    public void setSelectedClass(java.lang.String _selectedClass)

  Specified by:
    `setSelectedClass` in class `UITreeNode`

### getType

    public java.lang.String getType()

  Specified by:
    `getType` in class `UITreeNode`

### setType

    public void setType(java.lang.String _type)

  Specified by:
    `setType` in class `UITreeNode`

### getTypeMapping

    public java.lang.Object getTypeMapping()

### setTypeMapping

    public void setTypeMapping(java.lang.Object _typeMapping)

### getFamily

    public java.lang.String getFamily()

  Specified by:
    `getFamily` in class `javax.faces.component.UIComponent`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `UITreeNode`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `UITreeNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.